<template>
  <div class="flex mx-auto p-12 h-screen">
    <div class="w-2/5 shadow-box-custom mr-10 p-10">
      <NewToDo></NewToDo>
    </div>
    <div class="w-3/5 shadow-box-custom relative">
      <ListToDo></ListToDo>
      <ActionCommon></ActionCommon>
    </div>
  </div>
</template>

<script setup lang="ts">
import ListToDo from './components/ListToDo.vue'
import NewToDo from './components/NewToDo.vue'
import ActionCommon from './components/ActionCommon.vue'
import { onMounted } from 'vue'
import {useStore} from "vuex";

const store = useStore()
onMounted(() => {
  store.dispatch('setContentSearch', '')
  store.commit('resetListCheckBox', '')
})
</script>
